// Mutex.cpp: implementation of the Mutex class.
// Thanks to http://www.relisoft.com/win32/active.html
#include <e32base.h>
#include "Mutex.h"
_LIT(KTIMMUTEXNAME,"TIMITIDYMUTEX");
TInt gMutexHandle = KErrNotFound;
Mutex::Mutex()
{
	if(gMutexHandle==KErrNotFound)
	{
		iMutex.CreateGlobal(KTIMMUTEXNAME());
		gMutexHandle = iMutex.Handle();
	}
	else
	{
		iMutex.SetHandle(gMutexHandle);
	}

	//InitializeCriticalSection (& _critSection);
//	iMutex.OpenByName(KTIMMUTEXNAME());
}

Mutex::~Mutex()
{
//	DeleteCriticalSection (& _critSection);
	iMutex.Close();
}

void Mutex::acquire()
{
	iMutex.Wait();
//	EnterCriticalSection (& _critSection);
}

void Mutex::release()
{
	iMutex.Signal();
//	LeaveCriticalSection (& _critSection);
}
